### Method

# AppStream Component check_relations

since: 1.0.0

#### Declaration [src]

    GPtrArray*
    as_component_check_relations (
      AsComponent* cpt,
      AsSystemInfo* sysinfo,
      AsPool* pool,
      AsRelationKind rel_kind
    )

#### Description [src]

Verifies the respective relations and presents whether the system specified in `AsSystemInfo` `sysinfo` and data from `pool` supply the requested facilities.

Available since: 1.0.0

#### Parameters

`sysinfo`

  Type: `AsSystemInfo`

  An `AsSystemInfo` to use for system information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`pool`

  Type: `AsPool`

  An `AsPool` to find component dependencies in.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`rel_kind`

  Type: `AsRelationKind`

  The kind of relations to check.

#### Return value

Type: An array of `None`

An array of `AsRelationCheckResult`.

The caller of the method takes ownership of the returned data container, but not the data inside it.